Skip to main content
GET
List a project's resource usage history

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

project_id
string
required

The ID of the project.

Query Parameters

filter[id]
object

Allows filtering by id using one or more operators.

filter[resource]
object

Allows filtering by resource using one or more operators.

filter[environment]
object

Allows filtering by environment using one or more operators.

filter[user_id]
object

Allows filtering by user_id using one or more operators.

filter[timestamp]
object

Allows filtering by timestamp using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: timestamp.

Example:

"-timestamp"

Response

OK

count
integer
required

Total number of items across pages.

items
object[]
required